extends Node2D

class_name Piece

# Properties
var piece_position: Vector2
var is_white: bool

# Array for upgrades
var upgrades: Array = []


# initialization method
func _init(is_white: bool, piece_position: Vector2) -> void:
	self.is_white = is_white
	self.piece_position = piece_position

# Method to get valid moves (to be overridden by subclasses)
func get_valid_moves(board_state: Array, pos: Vector2) -> Array[Vector2]:
	var moves = []
	return moves
